tigase.jaxmpp.core.client.xmpp.modules.muc

## Class MucModule.NewRoomCreatedHandler.NewRoomCreatedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<MucModule.NewRoomCreatedHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.muc.MucModule.NewRoomCreatedHandler.NewRoomCreatedEvent

- Enclosing interface:
    MucModule.NewRoomCreatedHandler

      public static class MucModule.NewRoomCreatedHandler.NewRoomCreatedEvent
      extends JaxmppEvent<MucModule.NewRoomCreatedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewRoomCreatedEvent(SessionObject sessionObject, Room room, Presence element)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(MucModule.NewRoomCreatedHandler handler)` Invokes handlers method.
    `Presence` | `getPresence()`
    `Room` | `getRoom()`
    `void` | `setPresence(Presence presence)`
    `void` | `setRoom(Room room)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NewRoomCreatedEvent

          public NewRoomCreatedEvent(SessionObject sessionObject,
                                     Room room,
                                     Presence element)

  - ### Method Detail

    - #### dispatch

          protected void dispatch(MucModule.NewRoomCreatedHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<MucModule.NewRoomCreatedHandler>`
      Parameters:
        `handler` - handler

    - #### getPresence

          public Presence getPresence()

    - #### getRoom

          public Room getRoom()

    - #### setPresence

          public void setPresence(Presence presence)

    - #### setRoom

          public void setRoom(Room room)

Copyright © 2006–2016 Tigase. All rights reserved.